%define name apmd
%define release 5mdk
%define version 3.0final
%define script_version 1.2.1

Summary: Advanced Power Management (APM) BIOS utilities for laptops.
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.debian.org/debian/dists/unstable/main/source/admin/%{name}_%{version}-1.tar.bz2
Source1: apmd-scripts-%{script_version}.tar.bz2
Patch1: apmd-graphicswitch.patch.bz2
Copyright: GPL
Group: System/Servers
Prereq: chkconfig
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 i486 i586 i686 k6 k7 ppc

%description
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd package if you need to control the APM system 
on your laptop.


%package devel
Summary: The developement librairies for APM.
Group: Development/C
ExclusiveArch: i386 i486 i586 i686 k6 k7 ppc

%description devel
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd-devek package if you want to develop with the apm
librairies.


%prep
%setup -q -n apmd
%patch1 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,sbin,man/man1,man/man8,X11R6/bin,X11R6/man/man1}
mkdir -p $RPM_BUILD_ROOT/etc
make PREFIX=$RPM_BUILD_ROOT/usr APMD_PROXY_DIR=$RPM_BUILD_ROOT/etc install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cd $RPM_BUILD_ROOT && bzcat %{SOURCE1}|tar x

# hack
rm -f $RPM_BUILD_ROOT/usr/bin/xapm $RPM_BUILD_ROOT/usr/man/man1/xapm.1x

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/chkconfig --add apmd

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del apmd
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE ChangeLog README README.transfer LSM
/usr/man/man1/*
/usr/man/man8/*
/usr/bin/*
/usr/sbin/*
%config /etc/rc.d/init.d/apmd
%config /etc/sysconfig/apmd
%config /etc/sysconfig/apm-scripts/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*a

%changelog
* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-5mdk
- Remove bogus require from -devel.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-4mdk
- Fix apmd-devel groups.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-3mdk
- bzip2 man pages (again afther johnb).

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.0final-2mdk
- Added PPC support

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0final-1mdk
- Adjust groups.
- Upgrade to debian 3.0final.
- Upgrade 1.2.1 redhat script.
- Clean up specs.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 3.0beta9-6mdk

- added graphic switch patch.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with the rh package :
  - Put in new apm scripts to handle PCMCIA suspend/resume, and give the
  possibility to refresh displays and reload sound modules for some
  broken chipsets.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a provides to fix ghost bug with rpm :-\. 

* Mon Oct 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.0beta9.
- Split package with -devel.

* Wed Jun 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 3.0beta8

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Merging with RedHat change :
	- add check for /proc/apm (not on SMP) (#3403)
	- shell script tweak (#3176).

* Fri May  7 1999 Bill Nottingham <notting@redhat.com>
- set -u flag for utc

* Sat Apr 17 1999 Matt Wilson <msw@redhat.com>
- prereqs chkconfig

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- exlusive arch i3786, as sparcs and alphas have no apm support...

* Wed Apr 14 1999 <ewt@redhat.com>
- removed X bits; gnome has a much better X interface for apm anyway

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- quoted APMD_OPTIONS variable in the init script

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- whoops, making /etc/rc.d/init.d/apmd a directory was a bad idea. fixed.

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- now owned by Avery Pennarun <apenwarr@debian.org>, upgraded to his latest.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- updated to latest patchlevel from web page.

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced init script

* Thu Apr 1 1998 Erik Troan <ewt@redhat.com>
- moved init script into a separate source file
- added restart and status options to initscript
- made it use a build root
- don't start apm when the package is installed
- don't stop apm when the package is removed

* Mon Dec  8 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Compiled on RH5.0 against libc6.
- Renamed /etc/rc.d/init.d/apmd.init to /etc/rc.d/init.d/apmd
- Make /etc/rc.d/init.d/apmd to be chkconfig-compliant.

* Thu Oct  2 1997 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Fixed buggy /etc/sysconfig/apmd file generation in the spec file.
- Added a patch for apm.c's option handling.
- Both fixes were submitted by Richard D. McRobers <rdm@csn.net>
